1MSG

Get templates list

GET
/templates

List message templates for this channel, including name, language, category, components, namespace, and review status (approved, pending, rejected).

Authorization

JWT token
querytoken<token>

Response Body

Server response example

application/json
  1. response
total?integer
templates?array<>
curl -X GET 'https://api.1msg.io/123/templates'
{  "total": 3,  "templates": [    {      "category": "MARKETING",      "components": [        {          "type": "BODY",          "format": "TEXT",          "text": "header text {{1}}",          "add_security_recommendation": true,          "code_expiration_minutes": 5,          "example": {},          "buttons": [            {              "type": "QUICK_REPLY",              "text": "phone-button-text",              "otp_type": "COPY_CODE",              "autofill_text": "Autofill",              "package_name": "com.example.myapplication",              "signature_hash": "K8a%2FAINcGX7",              "url": "https://www.website.com/{{1}}",              "phone_number": "+1(234) 235-5678",              "example": [                null              ]            }          ]        }      ],      "language": "en",      "name": "start",      "namespace": "ca300906_cfbc_410b_99fb_dcee8e13d578",      "rejected_reason": "NONE",      "status": "approved"    }  ]}